Cannot view T96548
Closed, ResolvedPublic

Description

I received the notification:

From: valhallasw <no-reply@phabricator.wikimedia.org>
Subject: [Maniphest] T96548: exim paniclog on tools-mail.eqiad.wmflabs has non-zero size
To: tim@tim-landscheidt.de
Date: Mon, 20 Apr 2015 08:27:12 +0000 (5 hours, 11 minutes ago)
Reply-to: T96548+public+272ef5a597dba6bb@phabricator.wikimedia.org

valhallasw changed the title from "" to "exim paniclog on tools-mail.eqiad.wmflabs has non-zero size".
valhallasw edited the task description.
valhallasw edited subscribers, added: valhallasw, scfc, yuvipanda, coren; removed: Aklapper.
valhallasw added projects: Tool-Labs, WMF-NDA.
valhallasw changed Security from None to Other confidential issue.

TASK DETAIL
  https://phabricator.wikimedia.org/T96548

REPLY HANDLER ACTIONS
  Reply to comment or attach files, or !close, !claim, !unsubscribe or !assign <username>.

EMAIL PREFERENCES
  https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: valhallasw
Cc: coren, yuvipanda, scfc, valhallasw

But I cannot view the task ("Access Denied: Restricted Task; You do not have permission to view this object."). It may be possible that the access restrictions were tightened after I received the mail; filing here if otherwise.

scfc created this task.Apr 20 2015, 1:44 PM
scfc updated the task description. (Show Details)
scfc raised the priority of this task from to Needs Triage.
scfc added a project: Phabricator.
scfc added subscribers: scfc, valhallasw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2015, 1:44 PM

I think the issue is that you're not in https://phabricator.wikimedia.org/tag/wmf-nda/ , which you should be as you (I assume ;-)) have signed the NDA.

scfc changed the task status from Open to Stalled.Apr 20 2015, 2:20 PM

I filed T96558 for the NDA group and once that is resolved, I will check whether this was the cause.

Qgil added a subscriber: Qgil.Apr 20 2015, 7:00 PM

If you are not in WMF-NDA, then not accessing to T96548 is a feature, not a bug. Should we close this task?

Legoktm closed this task as Resolved.Apr 20 2015, 7:50 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

I manually added scfc to T96548.

scfc added a comment.Apr 20 2015, 7:51 PM

Indeed it would be working as designed. But then why did I get a notification for a task I wasn't supposed to be able to read? AFAIK, Phabricator works with the mindset that tasks you don't have access to don't exist for you (in searches, in tooltips, etc.). Getting a notification kind of defeats that purpose.

scfc added a comment.Apr 20 2015, 8:15 PM

Ah, that makes sense.

valhallasw changed the task status from Duplicate to Resolved.Apr 22 2015, 7:28 AM